質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Heroku

HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

PostgreSQL

PostgreSQLはオープンソースのオブジェクトリレーショナルデータベース管理システムです。 Oracle Databaseで使われるPL/SQLを参考に実装されたビルトイン言語で、Windows、 Mac、Linux、UNIX、MSなどいくつものプラットフォームに対応しています。

解決済

Herokuにデプロイ、マイグレートしたらDB接続に問題が発生する

Kazuhiro-ch
Kazuhiro-ch

総合スコア65

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Heroku

HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

PostgreSQL

PostgreSQLはオープンソースのオブジェクトリレーショナルデータベース管理システムです。 Oracle Databaseで使われるPL/SQLを参考に実装されたビルトイン言語で、Windows、 Mac、Linux、UNIX、MSなどいくつものプラットフォームに対応しています。

1回答

0評価

0クリップ

132閲覧

投稿2022/05/20 03:01

編集2022/05/20 21:29

問題

Djangoでウェブアプリを開発し、Herokuにデプロイしました。そしてマイグレートするも以下のメッセージが表示されました。検索するとPostgreSQLに問題があるようです。何が問題なのかも見当がつきません。これまでデプロイしたことは何度かあるのですが、このようなエラーを見たのは初めてで戸惑っています。どうするべきでしょうか?

PS C:\Users\detec\myblog\myblog> heroku run python manage.py migrate » Warning: heroku update available from 7.53.0 to 7.60.1. Running python manage.py migrate on ⬢ myblog4649... up, run.1307 (Free) Traceback (most recent call last): File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/base/base.py", line 244, in ensure_connection self.connect() File "/app/.heroku/python/lib/python3.9/site-packages/django/utils/asyncio.py", line 26, in inner return func(*args, **kwargs) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/base/base.py", line 225, in connect self.connection = self.get_new_connection(conn_params) File "/app/.heroku/python/lib/python3.9/site-packages/django/utils/asyncio.py", line 26, in inner return func(*args, **kwargs) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/postgresql/base.py", line 203, in get_new_connection connection = Database.connect(**conn_params) File "/app/.heroku/python/lib/python3.9/site-packages/psycopg2/__init__.py", line 122, in connect conn = _connect(dsn, connection_factory=connection_factory, **kwasync) psycopg2.OperationalError: connection to server on socket "/var/run/postgresql/.s.PGSQL.5432" failed: No such file or directory Is the server running locally and accepting connections on that socket? The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/app/manage.py", line 10, in <module> execute_from_command_line(sys.argv) File "/app/.heroku/python/lib/python3.9/site-packages/django/core/management/__init__.py", line 446, in execute_from_command_line utility.execute() File "/app/.heroku/python/lib/python3.9/site-packages/django/core/management/__init__.py", line 440, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/app/.heroku/python/lib/python3.9/site-packages/django/core/management/base.py", line 414, in run_from_argv self.execute(*args, **cmd_options) File "/app/.heroku/python/lib/python3.9/site-packages/django/core/management/base.py", line 460, in execute output = self.handle(*args, **options) File "/app/.heroku/python/lib/python3.9/site-packages/django/core/management/base.py", line 98, in wrapped res = handle_func(*args, **kwargs) File "/app/.heroku/python/lib/python3.9/site-packages/django/core/management/commands/migrate.py", line 91, in handle self.check(databases=[database]) File "/app/.heroku/python/lib/python3.9/site-packages/django/core/management/base.py", line 487, in check all_issues = checks.run_checks( File "/app/.heroku/python/lib/python3.9/site-packages/django/core/checks/registry.py", line 88, in run_checks new_errors = check(app_configs=app_configs, databases=databases) File "/app/.heroku/python/lib/python3.9/site-packages/django/core/checks/model_checks.py", line 36, in check_all_models errors.extend(model.check(**kwargs)) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/models/base.py", line 1461, in check *cls._check_indexes(databases), File "/app/.heroku/python/lib/python3.9/site-packages/django/db/models/base.py", line 1864, in _check_indexes connection.features.supports_covering_indexes File "/app/.heroku/python/lib/python3.9/site-packages/django/utils/functional.py", line 49, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/postgresql/features.py", line 84, in is_postgresql_11 return self.connection.pg_version >= 110000 File "/app/.heroku/python/lib/python3.9/site-packages/django/utils/functional.py", line 49, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/postgresql/base.py", line 354, in pg_version with self.temporary_connection(): File "/app/.heroku/python/lib/python3.9/contextlib.py", line 119, in __enter__ return next(self.gen) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/base/base.py", line 639, in temporary_connection with self.cursor() as cursor: File "/app/.heroku/python/lib/python3.9/site-packages/django/utils/asyncio.py", line 26, in inner return func(*args, **kwargs) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/base/base.py", line 284, in cursor return self._cursor() File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/base/base.py", line 260, in _cursor self.ensure_connection() File "/app/.heroku/python/lib/python3.9/site-packages/django/utils/asyncio.py", line 26, in inner return func(*args, **kwargs) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/base/base.py", line 244, in ensure_connection self.connect() File "/app/.heroku/python/lib/python3.9/site-packages/django/db/utils.py", line 91, in __exit__ raise dj_exc_value.with_traceback(traceback) from exc_value File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/base/base.py", line 244, in ensure_connection self.connect() File "/app/.heroku/python/lib/python3.9/site-packages/django/utils/asyncio.py", line 26, in inner return func(*args, **kwargs) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/base/base.py", line 225, in connect self.connection = self.get_new_connection(conn_params) File "/app/.heroku/python/lib/python3.9/site-packages/django/utils/asyncio.py", line 26, in inner return func(*args, **kwargs) File "/app/.heroku/python/lib/python3.9/site-packages/django/db/backends/postgresql/base.py", line 203, in get_new_connection connection = Database.connect(**conn_params) File "/app/.heroku/python/lib/python3.9/site-packages/psycopg2/__init__.py", line 122, in connect conn = _connect(dsn, connection_factory=connection_factory, **kwasync) django.db.utils.OperationalError: connection to server on socket "/var/run/postgresql/.s.PGSQL.5432" failed: No such file or directory Is the server running locally and accepting connections on that socket?

heroku

#log 2022-05-20T02:12:04.127178+00:00 heroku[web.1]: Process exited with status 127 2022-05-20T02:12:04.187060+00:00 heroku[web.1]: State changed from starting to crashed 2022-05-20T02:12:10.986659+00:00 heroku[run.5864]: Process exited with status 1 2022-05-20T02:12:11.044613+00:00 heroku[run.5864]: State changed from up to complete 2022-05-20T02:51:07.988809+00:00 app[api]: Starting process with command `python manage.py migrate` by user kazy3776@gmail.com 2022-05-20T02:51:14.960969+00:00 heroku[run.1307]: Awaiting client 2022-05-20T02:51:14.978831+00:00 heroku[run.1307]: Starting process with command `python manage.py migrate` 2022-05-20T02:51:15.017092+00:00 heroku[run.1307]: State changed from starting to up 2022-05-20T02:51:21.552977+00:00 heroku[run.1307]: Process exited with status 1 2022-05-20T02:51:21.637467+00:00 heroku[run.1307]: State changed from up to complete

試したこと

pg_ctl -D "C:\Program Files\PostgreSQL\13\data" start pg_ctl -D "C:\Program Files\PostgreSQL\13\data" stop pg_ctl -D "C:\Program Files\PostgreSQL\13\data" restart

再起動はされましたが、デプロイ先には特に影響はなく、同じ問題が出ています。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

CHERRY

2022/05/20 07:39

heroku 側で、 PostgreSQL を使用する設定をされていますか?
Kazuhiro-ch

2022/05/20 12:29

それでした!いつもは自動でできていたと思ったのですが。。。ありがとうございます!

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Heroku

HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

PostgreSQL

PostgreSQLはオープンソースのオブジェクトリレーショナルデータベース管理システムです。 Oracle Databaseで使われるPL/SQLを参考に実装されたビルトイン言語で、Windows、 Mac、Linux、UNIX、MSなどいくつものプラットフォームに対応しています。